name: Auto Deploy

on:
  push:
    branches:
      - main

jobs:
  deploy:
    runs-on: ubuntu-latest

    steps:
      - name: Deploy on server
        run: |
          cd /home/deonisii/workparking
          git pull origin main
          docker compose up -d --build
          docker image prune -f
